package com.srs.flowable.listener;

import lombok.extern.slf4j.Slf4j;
import org.flowable.engine.delegate.DelegateExecution;
import org.flowable.engine.delegate.ExecutionListener;
import org.flowable.engine.delegate.TaskListener;
import org.flowable.task.service.delegate.DelegateTask;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;

/**
 * 驳回监听器
 */
@Slf4j
@Component
public class RejectionListener implements TaskListener {

    @Override
    public void notify(DelegateTask delegateTask) {
        if (delegateTask.getEventName().equals(TaskListener.EVENTNAME_COMPLETE)) {
            log.info("内容：",delegateTask);
            log.info("审批完成");
        }
    }
}
